Class | Sequel::OpenBase::Dataset
In: | lib/sequel/adapters/openbase.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows

### Constants

SELECT_CLAUSE_METHODS | = | clause_methods(:select, %w'select distinct columns from join where group having compounds order limit')
DatasetClass | = | self

### Public Instance methods

fetch_rows(sql) {|row| ...}

[Source]

        # File lib/sequel/adapters/openbase.rb, line 39
    39:       def fetch_rows(sql)
    40:         execute(sql) do |result|
    41:           begin
    42:             @columns = result.column_infos.map{|c| output_identifier(c.name)}
    43:             result.each do |r|
    44:               row = {}
    45:               r.each_with_index {|v, i| row[@columns[i]] = v}
    46:               yield row
    47:             end
    48:           ensure
    49:             # result.close
    50:           end
    51:         end
    52:         self
    53:       end

[Validate]